Bug 160818 - Evolution crashes (large IMAP folder issue?)
Evolution crashes (large IMAP folder issue?)
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
rawhide
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-17 11:42 EDT by Andrew Overholt
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 12:05:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Overholt 2005-06-17 11:42:12 EDT
Description of problem:
Evolution crashes.

Version-Release number of selected component (if applicable):
evolution-2.2.2-7

How reproducible:
Not 100% but fairly often.  It seems to happen with large IMAP folders.

Steps to Reproduce:
1. start evolution
2.
3.
  
Actual results:
Crash.

Expected results:
No crash.

Additional info: (taken from bug-buddy ... sorry I didn't have the debuginfo
installed)

Backtrace was generated from '/usr/bin/evolution'

(no debugging symbols found)
Using host libthread_db library "/lib/libthread_db.so.1".
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -135539904 (LWP 12645)]
[New Thread -185363232 (LWP 12698)]
[New Thread -174476064 (LWP 12691)]
[New Thread -163580704 (LWP 12650)]
[New Thread -151685920 (LWP 12648)]
[New Thread -141200160 (LWP 12647)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
0x0f81e7e0 in __waitpid_nocancel () from /lib/libpthread.so.0
#0  0x0f81e7e0 in __waitpid_nocancel () from /lib/libpthread.so.0
#1  0x0f40bc98 in libgnomeui_module_info_get () from /usr/lib/libgnomeui-2.so.0
#2  0x1001be84 in es_menu_hook_get_type ()
#3  <signal handler called>
#4  0x0e30ce48 in e_searching_tokenizer_match_count () from
/usr/lib/evolution/2.2/components/libevolution-mail.so
#5  0x0e30d2d8 in e_searching_tokenizer_match_count () from
/usr/lib/evolution/2.2/components/libevolution-mail.so
#6  0x0fb4d4ac in g_cclosure_marshal_VOID__POINTER () from
/usr/lib/libgobject-2.0.so.0
#7  0x0fb3c6dc in g_cclosure_new_swap () from /usr/lib/libgobject-2.0.so.0
#8  0x0fb3cd20 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#9  0x0fb50508 in g_signal_stop_emission () from /usr/lib/libgobject-2.0.so.0
#10 0x0fb51c48 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#11 0x0fb5207c in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#12 0x001ebd0c in html_tokenizer_begin () from /usr/lib/libgtkhtml-3.6.so.18
#13 0x001bb578 in html_engine_begin () from /usr/lib/libgtkhtml-3.6.so.18
#14 0x0018217c in gtk_html_begin_full () from /usr/lib/libgtkhtml-3.6.so.18
#15 0x00182a60 in gtk_html_begin () from /usr/lib/libgtkhtml-3.6.so.18
#16 0x0e338908 in em_format_html_job_queue () from
/usr/lib/evolution/2.2/components/libevolution-mail.so
#17 0x0e334268 in em_format_html_display_popup_menu () from
/usr/lib/evolution/2.2/components/libevolution-mail.so
#18 0x0e332aa4 in em_format_html_display_set_search () from
/usr/lib/evolution/2.2/components/libevolution-mail.so
#19 0x0e31f424 in em_folder_browser_show_preview () from
/usr/lib/evolution/2.2/components/libevolution-mail.so
#20 0x0e2806d8 in ?? () from /usr/lib/evolution/2.2/libefilterbar.so.0
#21 0x0fb4c780 in g_cclosure_marshal_VOID__VOID () from /usr/lib/libgobject-2.0.so.0
#22 0x0fb3cd20 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#23 0x0fb50928 in g_signal_stop_emission () from /usr/lib/libgobject-2.0.so.0
#24 0x0fb51c48 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#25 0x0fb5207c in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#26 0x0eacfe44 in e_multi_config_dialog_show_page () from
/usr/lib/evolution/2.2/libemiscwidgets.so.0
#27 0x0e281714 in ?? () from /usr/lib/evolution/2.2/libefilterbar.so.0
#28 0x0fb452ac in g_object_set_valist () from /usr/lib/libgobject-2.0.so.0
#29 0x0fb45534 in g_object_set () from /usr/lib/libgobject-2.0.so.0
#30 0x0e320730 in em_folder_browser_show_preview () from
/usr/lib/evolution/2.2/components/libevolution-mail.so
#31 0x0e32d448 in em_folder_view_mark_selected () from
/usr/lib/evolution/2.2/components/libevolution-mail.so
#32 0x0e36225c in mail_build_attachment () from
/usr/lib/evolution/2.2/components/libevolution-mail.so
#33 0x0e35e32c in mail_msg_free () from
/usr/lib/evolution/2.2/components/libevolution-mail.so
#34 0x0fc24314 in g_vasprintf () from /usr/lib/libglib-2.0.so.0
#35 0x0fbf08d4 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#36 0x0fbf4bac in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#37 0x0fbf5004 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#38 0x0ecf6414 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#39 0x0e30ce10 in e_searching_tokenizer_match_count () from
/usr/lib/evolution/2.2/components/libevolution-mail.so

Thread 6 (Thread -141200160 (LWP 12647)):
#0  0x0f819704 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#1  0xf7ef91d4 in e_msgport_wait () from /usr/lib/libedataserver-1.2.so.4
No symbol table info available.
#2  0xf7ef9af8 in e_thread_busy () from /usr/lib/libedataserver-1.2.so.4
No symbol table info available.
#3  0x0f815878 in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#4  0x0f8196e8 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#5  0x00000000 in ?? ()
No symbol table info available.

Thread 5 (Thread -151685920 (LWP 12648)):
#0  0x0f819704 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#1  0xf7ef91d4 in e_msgport_wait () from /usr/lib/libedataserver-1.2.so.4
No symbol table info available.
#2  0xf7ef9af8 in e_thread_busy () from /usr/lib/libedataserver-1.2.so.4
No symbol table info available.
#3  0x0f815878 in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#4  0x0f8196e8 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#5  0x00000000 in ?? ()
No symbol table info available.

Thread 4 (Thread -163580704 (LWP 12650)):
#0  0x0f819704 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#1  0xf7ef91d4 in e_msgport_wait () from /usr/lib/libedataserver-1.2.so.4
No symbol table info available.
#2  0xf7ef9af8 in e_thread_busy () from /usr/lib/libedataserver-1.2.so.4
No symbol table info available.
#3  0x0f815878 in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#4  0x0f8196e8 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#5  0x00000000 in ?? ()
No symbol table info available.

Thread 3 (Thread -174476064 (LWP 12691)):
#0  0x0f819704 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#1  0xf7ef91d4 in e_msgport_wait () from /usr/lib/libedataserver-1.2.so.4
No symbol table info available.
#2  0xf7ef9af8 in e_thread_busy () from /usr/lib/libedataserver-1.2.so.4
No symbol table info available.
#3  0x0f815878 in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#4  0x0f8196e8 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#5  0x00000000 in ?? ()
No symbol table info available.

Thread 2 (Thread -185363232 (LWP 12698)):
#0  0x0f819704 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#1  0xf7ef91d4 in e_msgport_wait () from /usr/lib/libedataserver-1.2.so.4
No symbol table info available.
#2  0xf7ef9af8 in e_thread_busy () from /usr/lib/libedataserver-1.2.so.4
No symbol table info available.
#3  0x0f815878 in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#4  0x0f8196e8 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#5  0x00000000 in ?? ()
No symbol table info available.

Thread 1 (Thread -135539904 (LWP 12645)):
#0  0x0f81e7e0 in __waitpid_nocancel () from /lib/libpthread.so.0
No symbol table info available.
#1  0x0f40bc98 in libgnomeui_module_info_get () from /usr/lib/libgnomeui-2.so.0
No symbol table info available.
#2  0x1001be84 in es_menu_hook_get_type ()
No symbol table info available.
#3  <signal handler called>
No symbol table info available.
#4  0x0e30ce48 in e_searching_tokenizer_match_count () from
/usr/lib/evolution/2.2/components/libevolution-mail.so
No symbol table info available.
#5  0x0e30d2d8 in e_searching_tokenizer_match_count () from
/usr/lib/evolution/2.2/components/libevolution-mail.so
No symbol table info available.
#6  0x0fb4d4ac in g_cclosure_marshal_VOID__POINTER () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#7  0x0fb3c6dc in g_cclosure_new_swap () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#8  0x0fb3cd20 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#9  0x0fb50508 in g_signal_stop_emission () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#10 0x0fb51c48 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#11 0x0fb5207c in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#12 0x001ebd0c in html_tokenizer_begin () from /usr/lib/libgtkhtml-3.6.so.18
No symbol table info available.
#13 0x001bb578 in html_engine_begin () from /usr/lib/libgtkhtml-3.6.so.18
No symbol table info available.
#14 0x0018217c in gtk_html_begin_full () from /usr/lib/libgtkhtml-3.6.so.18
No symbol table info available.
#15 0x00182a60 in gtk_html_begin () from /usr/lib/libgtkhtml-3.6.so.18
No symbol table info available.
#16 0x0e338908 in em_format_html_job_queue () from
/usr/lib/evolution/2.2/components/libevolution-mail.so
No symbol table info available.
#17 0x0e334268 in em_format_html_display_popup_menu () from
/usr/lib/evolution/2.2/components/libevolution-mail.so
No symbol table info available.
#18 0x0e332aa4 in em_format_html_display_set_search () from
/usr/lib/evolution/2.2/components/libevolution-mail.so
No symbol table info available.
#19 0x0e31f424 in em_folder_browser_show_preview () from
/usr/lib/evolution/2.2/components/libevolution-mail.so
No symbol table info available.
#20 0x0e2806d8 in ?? () from /usr/lib/evolution/2.2/libefilterbar.so.0
No symbol table info available.
#21 0x0fb4c780 in g_cclosure_marshal_VOID__VOID () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#22 0x0fb3cd20 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#23 0x0fb50928 in g_signal_stop_emission () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#24 0x0fb51c48 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#25 0x0fb5207c in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#26 0x0eacfe44 in e_multi_config_dialog_show_page () from
/usr/lib/evolution/2.2/libemiscwidgets.so.0
No symbol table info available.
#27 0x0e281714 in ?? () from /usr/lib/evolution/2.2/libefilterbar.so.0
No symbol table info available.
#28 0x0fb452ac in g_object_set_valist () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#29 0x0fb45534 in g_object_set () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#30 0x0e320730 in em_folder_browser_show_preview () from
/usr/lib/evolution/2.2/components/libevolution-mail.so
No symbol table info available.
#31 0x0e32d448 in em_folder_view_mark_selected () from
/usr/lib/evolution/2.2/components/libevolution-mail.so
No symbol table info available.
#32 0x0e36225c in mail_build_attachment () from
/usr/lib/evolution/2.2/components/libevolution-mail.so
No symbol table info available.
#33 0x0e35e32c in mail_msg_free () from
/usr/lib/evolution/2.2/components/libevolution-mail.so
No symbol table info available.
#34 0x0fc24314 in g_vasprintf () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#35 0x0fbf08d4 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#36 0x0fbf4bac in g_main_context_check () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#37 0x0fbf5004 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#38 0x0ecf6414 in bonobo_main () from /usr/lib/libbonobo-2.so.0
No symbol table info available.
#39 0x0e30ce10 in e_searching_tokenizer_match_count () from
/usr/lib/evolution/2.2/components/libevolution-mail.so
No symbol table info available.
Comment 1 Dave Malcolm 2005-06-17 11:47:00 EDT
Looks like it's crashing generating the message preview pane for a particular
message - perhaps those large IMAP folders tend to contain messages with
particular kinds of formatting?

Please install evolution-debuginfo and gtkhtml3-debuginfo (and maybe
evolution-data-server-debuginfo as well), and try to get another trace.  Thanks.
Comment 2 Dave Malcolm 2005-06-17 11:48:18 EDT
(version information for those other packages, as well, please!)
Comment 3 Andrew Overholt 2005-06-17 12:05:13 EDT
evolution-2.2.2-7
evolution-debuginfo-2.2.2-7
gtkhtml3-3.6.2-1
gtkhtml3-debuginfo-3.6.2-1

This was opening my fedora-list folder (647 messages ... the past 3 days or so).

Backtrace was generated from '/usr/bin/evolution'

Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -135539904 (LWP 13152)]
[New Thread -185019168 (LWP 13195)]
[New Thread -162171680 (LWP 13190)]
[New Thread -172661536 (LWP 13157)]
[New Thread -151685920 (LWP 13155)]
[New Thread -141200160 (LWP 13154)]
0x0f81e7e0 in __waitpid_nocancel () from /lib/libpthread.so.0
#0  0x0f81e7e0 in __waitpid_nocancel () from /lib/libpthread.so.0
#1  0x0f40bc98 in libgnomeui_module_info_get () from /usr/lib/libgnomeui-2.so.0
#2  0x1001be84 in segv_redirect (sig=11) at main.c:428
#3  <signal handler called>
#4  search_info_to_searcher (si=) at e-searching-tokenizer.c:129
#5  0x0e30d2d8 in e_searching_tokenizer_begin (t=0x10235b68, 
    content_type=0x1021c458 "text/html; charset=utf-8")
    at e-searching-tokenizer.c:1085
#6  0x0fb4d4ac in g_cclosure_marshal_VOID__POINTER ()
   from /usr/lib/libgobject-2.0.so.0
#7  0x0fb3c6dc in g_cclosure_new_swap () from /usr/lib/libgobject-2.0.so.0
#8  0x0fb3cd20 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#9  0x0fb50508 in g_signal_stop_emission () from /usr/lib/libgobject-2.0.so.0
#10 0x0fb51c48 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#11 0x0fb5207c in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#12 0x001ebd0c in html_tokenizer_begin (t=0x10235b68, 
    content_type=0x1021c458 "text/html; charset=utf-8") at htmltokenizer.c:1360
#13 0x001bb578 in html_engine_begin (e=0x10234710, 
    content_type=0x1021c458 "text/html; charset=utf-8") at htmlengine.c:4387
#14 0x0018217c in gtk_html_begin_full (html=0x1021b278, target_frame=)
    at gtkhtml.c:3546
#15 0x48282482 in ?? ()
#16 0x00182a60 in gtk_html_begin (html=0x1021b278) at gtkhtml.c:3574
#17 0x0e338908 in efh_format_timeout (m=0x10417d48) at em-format-html.c:1292
#18 0x0e334268 in efhd_format_clone (emf=) at em-format-html-display.c:984
#19 0x0e332aa4 in em_format_html_display_set_search (efhd=)
    at em-format-html-display.c:403
#20 0x0e31f424 in emfb_search_config_search (efb=) at em-folder-browser.c:422
#21 0x0e2806d8 in option_changed (esb=) at e-filter-bar.c:296
#22 0x0fb4c780 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
#23 0x0fb3cd20 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#24 0x0fb50928 in g_signal_stop_emission () from /usr/lib/libgobject-2.0.so.0
#25 0x0fb51c48 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#26 0x0fb5207c in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#27 0x0eacfe44 in emit_query_changed (esb=) at e-search-bar.c:170
#28 0x0e281714 in set_property (object=0x10236708, property_id=)
    at e-filter-bar.c:701
#29 0x0fb452ac in g_object_set_valist () from /usr/lib/libgobject-2.0.so.0
#30 0x0fb45534 in g_object_set () from /usr/lib/libgobject-2.0.so.0
#31 0x0e320730 in emfb_set_folder (emfv=0x101c5458, folder=0x1039ede0, uri=)
    at em-folder-browser.c:972
#32 0x0e32d448 in emfv_got_folder (uri=) at em-folder-view.c:606
#33 0x0e36225c in get_folder_got (mm=0x1044d780) at mail-ops.c:1224
#34 0x0e35e32c in mail_msgport_replied (source=) at mail-mt.c:447
#35 0x0fc24314 in g_vasprintf () from /usr/lib/libglib-2.0.so.0
#36 0x0fbf08d4 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#37 0x0fbf4bac in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#38 0x0fbf5004 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#39 0x0ecf6414 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#40 0x0fc24314 in g_vasprintf () from /usr/lib/libglib-2.0.so.0
#41 0x10020c4c in _IO_stdin_used ()
#42 0x0fc24314 in g_vasprintf () from /usr/lib/libglib-2.0.so.0
#43 0x00000000 in ?? ()

Thread 6 (Thread -141200160 (LWP 13154)):
#0  0x0f819704 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#1  0xf7ef91d4 in e_msgport_wait (mp=0x1015cda0) at e-msgport.c:511
	msg = 
Thread 5 (Thread -151685920 (LWP 13155)):
#0  0x0f819704 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#1  0xf7ef91d4 in e_msgport_wait (mp=0x1015cda0) at e-msgport.c:511
	msg = 
Thread 4 (Thread -172661536 (LWP 13157)):
#0  0x0f819704 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#1  0xf7ef91d4 in e_msgport_wait (mp=0x1015ce98) at e-msgport.c:511
	msg = 
Thread 3 (Thread -162171680 (LWP 13190)):
#0  0x0f819704 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#1  0xf7ef91d4 in e_msgport_wait (mp=0x1015cda0) at e-msgport.c:511
	msg = 
Thread 2 (Thread -185019168 (LWP 13195)):
#0  0x0f819704 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#1  0xf7ef91d4 in e_msgport_wait (mp=0x10159758) at e-msgport.c:511
	msg = 
Thread 1 (Thread -135539904 (LWP 13152)):
#0  0x0f81e7e0 in __waitpid_nocancel () from /lib/libpthread.so.0
No symbol table info available.
#1  0x0f40bc98 in libgnomeui_module_info_get () from /usr/lib/libgnomeui-2.so.0
No symbol table info available.
#2  0x1001be84 in segv_redirect (sig=11) at main.c:428
No locals.
#3  <signal handler called>
No symbol table info available.
#4  search_info_to_searcher (si=) at e-searching-tokenizer.c:129
	tags = 
Comment 4 Andrew Overholt 2005-06-17 12:18:05 EDT
From gdb (bt after the crash) as Dave requested:

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -135539904 (LWP 13405)]
search_info_to_searcher (si=Variable "si" is not available.
) at e-searching-tokenizer.c:129
129             r = *p++;
(gdb) bt
#0  search_info_to_searcher (si=Variable "si" is not available.
) at e-searching-tokenizer.c:129
#1  0x0e30d2d8 in e_searching_tokenizer_begin (t=0x1020e240,
    content_type=0x101f5ae8 "text/html; charset=utf-8")
    at e-searching-tokenizer.c:1085
#2  0x0fb4d4ac in g_cclosure_marshal_VOID__POINTER ()
   from /usr/lib/libgobject-2.0.so.0
#3  0x0fb3c6dc in g_cclosure_new_swap () from /usr/lib/libgobject-2.0.so.0
#4  0x0fb3cd20 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#5  0x0fb50508 in g_signal_stop_emission () from /usr/lib/libgobject-2.0.so.0
#6  0x0fb51c48 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#7  0x0fb5207c in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#8  0x001ebd0c in html_tokenizer_begin (t=0x1020e240,
    content_type=0x101f5ae8 "text/html; charset=utf-8") at htmltokenizer.c:1360
#9  0x001bb578 in html_engine_begin (e=0x1020cdf0,
    content_type=0x101f5ae8 "text/html; charset=utf-8") at htmlengine.c:4387
#10 0x0018217c in gtk_html_begin_full (html=0x101f5b50, target_frame=Variable
"target_frame" is not available.
)
    at gtkhtml.c:3546
#11 0x44242482 in ?? ()
#12 0x00182a60 in gtk_html_begin (html=0x101f5b50) at gtkhtml.c:3574
#13 0x0e338908 in efh_format_timeout (m=0x103aef00) at em-format-html.c:1292
#14 0x0e334268 in efhd_format_clone (emf=Variable "emf" is not available.
) at em-format-html-display.c:984
#15 0x0e332aa4 in em_format_html_display_set_search (efhd=Variable "efhd" is not
available.
)
    at em-format-html-display.c:403
#16 0x0e31f424 in emfb_search_config_search (efb=Variable "efb" is not available.
) at em-folder-browser.c:422
#17 0x0e2806d8 in option_changed (esb=Variable "esb" is not available.
) at e-filter-bar.c:296
#18 0x0fb4c780 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
#19 0x0fb3cd20 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#20 0x0fb50928 in g_signal_stop_emission () from /usr/lib/libgobject-2.0.so.0
#21 0x0fb51c48 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#22 0x0fb5207c in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#23 0x0eacfe44 in emit_query_changed (esb=Variable "esb" is not available.
) at e-search-bar.c:170
#24 0x0e281714 in set_property (object=0x1020e7c8, property_id=Variable
"property_id" is not available.
)
    at e-filter-bar.c:701
#25 0x0fb452ac in g_object_set_valist () from /usr/lib/libgobject-2.0.so.0
#26 0x0fb45534 in g_object_set () from /usr/lib/libgobject-2.0.so.0
#27 0x0e320730 in emfb_set_folder (emfv=0x101c00c0, folder=0xf6442608,
uri=Variable "uri" is not available.
)
    at em-folder-browser.c:972
#28 0x0e32d448 in emfv_got_folder (uri=Variable "uri" is not available.
) at em-folder-view.c:606
#29 0x0e36225c in get_folder_got (mm=0x103b28b0) at mail-ops.c:1224
#30 0x0e35e32c in mail_msgport_replied (source=Variable "source" is not available.
) at mail-mt.c:447
#31 0x0fc24314 in g_vasprintf () from /usr/lib/libglib-2.0.so.0
#32 0x0fbf08d4 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#33 0x0fbf4bac in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#34 0x0fbf5004 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#35 0x0ecf6414 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#36 0x0fc24314 in g_vasprintf () from /usr/lib/libglib-2.0.so.0
#37 0x10020c4c in _IO_stdin_used ()
#38 0x0fc24314 in g_vasprintf () from /usr/lib/libglib-2.0.so.0
#39 0x00000000 in ?? ()
Comment 6 Matthew Barnes 2006-12-31 23:05:47 EST
Is this problem still present in Fedora Core 6 or later?
Comment 7 Andrew Overholt 2007-01-02 12:05:32 EST
It doesn't seem to be happening anymore.  Closing.

Note You need to log in before you can comment on or make changes to this bug.